> ## Documentation Index
> Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Communication Events by Communication Number

> Retrieves communication events by communication number. This can be used as fallback approach to get information about request. However keep in mind that not all request triggers webhook sending and not all webhooks that are sent have communication number.



## OpenAPI

````yaml /api/openapi_api_adapter.json get /api/integration-services/v1/communications-events/{communicationNumber}
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://{{baseUrl}}
    description: Generated server url
security:
  - bearerAuth: []
tags: []
paths:
  /api/integration-services/v1/communications-events/{communicationNumber}:
    get:
      tags:
        - communication-events
      summary: Communication Events by Communication Number
      description: >-
        Retrieves communication events by communication number. This can be used
        as fallback approach to get information about request. However keep in
        mind that not all request triggers webhook sending and not all webhooks
        that are sent have communication number.
      operationId: getCommunicationEvents
      parameters:
        - name: communicationNumber
          in: path
          description: The unique communication number to retrieve events for.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommunicationEventsResponse'
              examples:
                response:
                  value:
                    events:
                      - type: >-
                          app.amlyze.customer.riskmanagement.kyc_scoring.completed
                        source: e264c319-bbde-4012-ab41-ebd7c4b539fe
                        subject: 42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7
                        data:
                          decisionType: ACCEPTED
                          finalRiskLevel: MEDIUM
                          initialRiskLevel: MEDIUM
                      - type: app.amlyze.customer.screening.sanctions.completed
                        source: e264c319-bbde-4012-ab41-ebd7c4b539fe
                        subject: 42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7
                        data:
                          externalId: 42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7
                          screeningMatch: false
                      - type: >-
                          app.amlyze.related_entity.screening.sanctions.completed
                        source: e264c319-bbde-4012-ab41-ebd7c4b539fe
                        subject: d8114a80-2173-4f11-9b06-4b1315edff12
                        data:
                          birthDate: '2000-05-28'
                          countryCode: LT
                          customerExternalId: 42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7
                          externalId: d8114a80-2173-4f11-9b06-4b1315edff12
                          firstName: John
                          lastName: Doe
                          nationalCode: '123456789'
                          relationCode: SHAREHOLDER
                          screeningMatch: false
                          title: John Doe
                          type: INDIVIDUAL
                      - type: >-
                          app.amlyze.related_entity.screening.sanctions.completed
                        source: e264c319-bbde-4012-ab41-ebd7c4b539fe
                        subject: 5328b190-e852-4e85-911b-8d20f3eb978c
                        data:
                          countryCode: LT
                          customerExternalId: 42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7
                          establishmentDate: '2000-05-28'
                          externalId: 5328b190-e852-4e85-911b-8d20f3eb978c
                          nationalCode: '123456789'
                          relationCode: SHAREHOLDER
                          screeningMatch: false
                          title: UAB Some Company
                          type: ORGANIZATION
                      - type: >-
                          app.amlyze.related_entity.screening.sanctions.completed
                        source: e264c319-bbde-4012-ab41-ebd7c4b539fe
                        data:
                          customerExternalId: 42d6d8e3-59e9-47e9-92a2-f4fba6bbcff7
                          relationCode: SHAREHOLDER
                          screeningMatch: false
                          title: UAB Some Company
                          type: UNKNOWN
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommunicationErrorResponse'
components:
  schemas:
    CommunicationEventsResponse:
      properties:
        events:
          items:
            $ref: '#/components/schemas/CommunicationEvent'
            description: >-
              List of events. This contains information about webhook events,
              but not in the same structure as webhook events.
          type: array
      type: object
    CommunicationErrorResponse:
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code.
                example: INTERNAL_SERVER_ERROR
              description:
                type: string
                description: Error description.
                example: Internal server error
      type: object
    CommunicationEvent:
      properties:
        data:
          additionalProperties: true
          description: Event payload. Varies by event type.
          type: object
        source:
          description: Event source, typically a timestamp.
          type: string
          examples:
            - 1883743b-4423-4e3a-96fa-9597a01a6bbd
        subject:
          description: Event subject, represents a resource's external id.
          type: string
          examples:
            - 35ea6282-1669-4c63-948d-bcd06cf5e7d9
        type:
          description: Unique event type.
          type: string
          examples:
            - app.amlyze.operation.riskmanagement.operation_realtime.pending
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````